Jessie / Trusty enable mpm_event by default

Bug #1383828 reported by Bill Erickson on 2014-10-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenSRF
Undecided
Unassigned

Bug Description

Debian Jessie and Ubunty Trusty both activate the Apache "mpm_event" module by default, but OpenSRF requires "mpm_prefork". Otherwise, Apache startup fails with segfaults. Patch on its way...

Bill Erickson (berick) wrote :
tags: added: pullrequest
Changed in opensrf:
milestone: none → 2.0.2
milestone: 2.0.2 → 2.4.0-alpha
Ben Shum (bshum) on 2014-11-04
Changed in opensrf:
milestone: 2.4.0-alpha → 2.4.0
Ben Shum (bshum) wrote :

Seems logical to me. Pushed to master and rel_2_4. We'll file a new bug change to Evergreen 2.7's README to remove the now unnecessary step of manually doing this. Thanks Bill!

Changed in opensrf:
status: New → Fix Committed
Ben Shum (bshum) on 2015-02-05
Changed in opensrf:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers